/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Standard which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@sapphirecode.ovh>, May 2020
 */

'use strict';

module.exports = `pipeline {
  agent any

  environment {
      VERSION = VersionNumber([
          versionNumberString:
              '\${BUILDS_ALL_TIME}',
          versionPrefix: '1.0.',
          worstResultForIncrement: 'SUCCESS'
      ])
  }

  stages {
      stage('Building') {
          steps {
              script {
                  currentBuild.displayName = env.VERSION
              }
              sh 'yarn ci \${VERSION}'
          }
      }
  }
}
`;
